#=====================================================
#  _____                _     ____  _____ _   _ _   _ 
# |_   _|_ __ _   _ ___| |_  / __ \|  ___| | | | | | |
#   | | | '__| | | / __| __|/ / _` | |_  | |_| | |_| |
#   | | | |  | |_| \__ \ |_| | (_| |  _| |  _  |  _  |
#   |_| |_|   \__,_|___/\__|\ \__,_|_|   |_| |_|_| |_|
#                            \____/                   
#=====================================================
#
# Author: Mike Steinmetz (mbs)
# Date: 01.08.2009
#
# If Bug http://www.vtk.org/Bug/view.php?id=9186 is resolved
# then this install script can added paramertes.
# But until this feature is implement, we use a workaroud for
# use parameters in this script:
include("install_config_files_parameters.cmake")
# The "install_config_files_parameters.cmake" file must have
# a list CONFIG_FILES witch contain all installed config files
# (source and destination) in this format:
# LIST(APPEND CONFIG_FILES
#    "/path/to/source/conf/file.1" "/path/to/destination/conf/file.1"
#    "/path/to/source/conf/file.2" "/path/to/destination/conf/file.2"
#    "/path/to/source/conf/file.3" "/path/to/destination/conf/file.3"
#    # ...
# )
# You must 'call' this script with:
# install(CODE
#     "execute_process(COMMAND \"${CMAKE_COMMAND}\"
#                              \"-P\"
#                              \"${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/install_config_files.cmake\"
#                      WORKING_DIRECTORY \"${CMAKE_CURRENT_BINARY_DIR}\")
#     ")



LIST(LENGTH CONFIG_FILES CONFIG_FILES_LEN)
while(CONFIG_FILES_LEN)
    LIST(GET CONFIG_FILES 0 FROM)
    LIST(REMOVE_AT CONFIG_FILES 0)
    LIST(LENGTH CONFIG_FILES CONFIG_FILES_LEN)
    IF(NOT CONFIG_FILES_LEN)
        MESSAGE("ERROR IN INSTALL CONFIG FILES. PLEASE CONTACT THE DEVELOPMENT TEAM!!!")
        BREAK()
    ENDIF(NOT CONFIG_FILES_LEN)
    LIST(GET CONFIG_FILES 0 TO)
    LIST(REMOVE_AT CONFIG_FILES 0)
    LIST(LENGTH CONFIG_FILES CONFIG_FILES_LEN)

    IF(NOT EXISTS "${TO}")
      MESSAGE(STATUS "Installing: ${TO}")
      execute_process(COMMAND "${CMAKE_COMMAND}" "-E" "copy" "${FROM}" "${TO}")
    ELSE(NOT EXISTS "${TO}")
      MESSAGE(STATUS "Existing: ${TO}")
    ENDIF(NOT EXISTS "${TO}")

        
endwhile(CONFIG_FILES_LEN)
